Bug 569660 - Review Request: perl-File-DirCompare - Perl module to compare two directories using callbacks
Summary: Review Request: perl-File-DirCompare - Perl module to compare two directories...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-01 23:57 UTC by Emmanuel Seyman
Modified: 2010-03-16 00:49 UTC (History)
2 users (show)

Fixed In Version: perl-File-DirCompare-0.5-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 00:33:54 UTC
cweyl: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-03-01 23:57:48 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-File-DirCompare/perl-File-DirCompare.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-File-DirCompare/perl-File-DirCompare-0.5-1.fc12.src.rpm
Description:
File::DirCompare is a perl module to compare two directories using a
callback, invoked for all files that are 'different' between the two
directories, and for any files that exist only in one or other directory
('unique' files).

Comment 1 Chris Weyl 2010-03-02 01:57:13 UTC
Koji (success) http://koji.fedoraproject.org/koji/taskinfo?taskID=2023528

Comment 2 Chris Weyl 2010-03-02 02:03:14 UTC
There's some weirdness about missing files in build.log, but everything else
looks fine, the tests all run (and pass), and the tarball checksums all match
upstream, so... looks like an upstream packaging issue to me.

--------------------------------------
+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
Checking if your kit is complete...
Warning: the following files are missing in your kit:
	t/t10/new/aaa
	t/t10/new/ggg
	t/t10/new/jjj
	t/t10/new/xxx
	t/t10/old/aaa
	t/t10/old/ddd
	t/t10/old/ggg
	t/t10/old/uuu
	t/t10/old/xxx
Please inform the author.
--------------------------------------

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2023528

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
f1471fb2eeaf806d62a89e4634146cb61fe9c961 File-DirCompare-0.5.tar.gz
f1471fb2eeaf806d62a89e4634146cb61fe9c961 File-DirCompare-0.5.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-File-DirCompare-0.5-1.fc13.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-File-DirCompare-0.5-1.fc13.noarch.rpm
perl(File::DirCompare) = 0.5
perl-File-DirCompare = 0.5-1.fc13
====> requires for perl-File-DirCompare-0.5-1.fc13.noarch.rpm
perl >= 0:5.005
perl(Carp)  
perl(File::Basename)  
perl(File::Compare)  
perl(File::Glob)  
perl(File::Spec::Functions)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(vars)  

=====> perl-File-DirCompare-0.5-1.fc13.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-File-DirCompare-0.5-1.fc13.src.rpm
====> requires for perl-File-DirCompare-0.5-1.fc13.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Test::More)  

APPROVED

Comment 3 Emmanuel Seyman 2010-03-02 09:11:24 UTC
(In reply to comment #2)
>
> There's some weirdness about missing files in build.log, but everything else
> looks fine, the tests all run (and pass), and the tarball checksums all match
> upstream, so... looks like an upstream packaging issue to me.

Yes, the package's MANIFEST lists files which aren't in the tarball.

I've submitted a bug report to upstream:
http://rt.cpan.org/Ticket/Display.html?id=55126

> APPROVED    

Thanks, Chris. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-File-DirCompare
Short Description: Perl module to compare two directories using callbacks
Owners: eseyman
Branches: F-13 F-12 F-11
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2010-03-02 22:53:10 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-03-04 00:43:31 UTC
perl-File-DirCompare-0.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-File-DirCompare-0.5-1.fc12

Comment 6 Fedora Update System 2010-03-04 00:43:37 UTC
perl-File-DirCompare-0.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-File-DirCompare-0.5-1.fc11

Comment 7 Fedora Update System 2010-03-06 03:43:29 UTC
perl-File-DirCompare-0.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-DirCompare'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-DirCompare-0.5-1.fc11

Comment 8 Fedora Update System 2010-03-06 03:44:24 UTC
perl-File-DirCompare-0.5-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-DirCompare'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-DirCompare-0.5-1.fc12

Comment 9 Fedora Update System 2010-03-16 00:33:49 UTC
perl-File-DirCompare-0.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-16 00:49:15 UTC
perl-File-DirCompare-0.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.